<?php

namespace Drupal\dxp_assistant\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\system\Entity\Menu;

/**
 * Configure the DXP Assistant for this site.
 */
class DxpAssistantConfigurationForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'dxp_assistant_configuration_form';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'dxp_assistant.configuration',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('dxp_assistant.configuration');

    $form['script_url'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Script URL'),
      '#description' => $this->t('Enter the URL from which to load the DXP Assistant script.'),
      '#default_value' => $config->get('script_url'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $values = $form_state->getValues();
    $this->config('dxp_assistant.configuration')
      ->set('script_url', $values['script_url'])
      ->save();

    parent::submitForm($form, $form_state);
  }

}
